/*
File Name: Model.h
Created By: Andy Odle
Date: Oct 13, 2009

Description: 
    
    
*/

#ifndef Model_h
#define Model_h

#include <list>
using namespace std;

class Controller;

class Model
{
    
    public:

        virtual void RegisterController(Controller *controller_p) = 0;
        virtual void UnregisterController(Controller *controller_p) = 0;
        virtual void NotifyController() = 0;
        
    protected:
    
        list<Controller*> controllerList_m;
        list<Controller*>::iterator controllerListIterator_m;
};

#endif
